com.trendmicro.ds.platform.rest.object.syslogconfiguration

## Class ListSyslogConfigurationsResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.syslogconfiguration.ListSyslogConfigurationsResponse

-     public class ListSyslogConfigurationsResponse
      extends java.lang.Object

  Response object for the ListSyslogConfigurations API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSyslogConfigurationsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSyslogConfiguration(SyslogConfiguration syslogConfiguration)` Add a syslog configuration to the list of syslog configurations.
    `java.util.List<SyslogConfiguration>` | `getSyslogConfigurations()` Get the list of syslog configurations.
    `void` | `setSyslogConfigurations(java.util.List<SyslogConfiguration> syslogConfigurations)` Set the list of syslog configurations.
    `ListSyslogConfigurationsResponse` | `withSyslogConfigurations(java.util.List<SyslogConfiguration> syslogConfigurations)` Set the list of syslog configurations.
    `ListSyslogConfigurationsResponse` | `withSyslogConfigurations(SyslogConfiguration... syslogConfigurations)` Set the list of syslog configurations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSyslogConfigurationsResponse

          public ListSyslogConfigurationsResponse()

  - ### Method Detail

    - #### getSyslogConfigurations

          public java.util.List<SyslogConfiguration> getSyslogConfigurations()

      Get the list of syslog configurations.
      Returns:
        the list of syslog configurations.

    - #### setSyslogConfigurations

          public void setSyslogConfigurations(java.util.List<SyslogConfiguration> syslogConfigurations)

      Set the list of syslog configurations.
      Parameters:
        `syslogConfigurations` - the list of syslog configurations.

    - #### withSyslogConfigurations

          public ListSyslogConfigurationsResponse withSyslogConfigurations(java.util.List<SyslogConfiguration> syslogConfigurations)

      Set the list of syslog configurations.
      Parameters:
        `syslogConfigurations` - the list of syslog configurations.
      Returns:
        the updated response object.

    - #### withSyslogConfigurations

          public ListSyslogConfigurationsResponse withSyslogConfigurations(SyslogConfiguration... syslogConfigurations)

      Set the list of syslog configurations.
      Parameters:
        `syslogConfigurations` - the list of syslog configurations.
      Returns:
        the updated response object.

    - #### addSyslogConfiguration

          public void addSyslogConfiguration(SyslogConfiguration syslogConfiguration)

      Add a syslog configuration to the list of syslog configurations.
      Parameters:
        `syslogConfiguration` - the syslog configuration to add.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.